package br.com.rjconsultores.auditador.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import br.com.rjconsultores.auditador.enums.TipoExtracaoDados;

/**
 * Anotao responsvel por indicar que a classe ser auditada.
 * 
 * @author wilian
 *
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface AuditarClasse {
	
	/**
	 * Caso seja necessrio colocar um nome amigvel para a classe, seno for informado o padro ser o nome da classe.
	 */
	String nome();
	
	/**
	 * Atributo para indicar qual tela que o objeto ser auditado.
	 */
	String tela();
	
	/**
	 * Define se as informaes sero extradas pelo atributo ou metodo.
	 * @return
	 */
	TipoExtracaoDados tipoExtracaoDados() default TipoExtracaoDados.ATRIBUTO;
}
